[SRU] Bionic missing dependency for pydotplus

Bug #1815126 reported by Corey Bryant on 2019-02-07
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-networkx (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Corey Bryant
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

[Impact]
python-networkx in bionic is missing a dependency on python(3)-pydotplus. The versions in cosmic and disco no longer use pydotplus. The fix would be to add python(3)-pydotplus to Suggests in bionic since it is not in main.

[TestCase]
root@b1:~# python
Python 2.7.15rc1 (default, Nov 12 2018, 14:31:15)
[GCC 7.3.0] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import networkx
>>> from networkx.drawing.nx_pydot import write_dot
>>> write_dot(networkx.Graph(), "/tmp/null")
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "<decorator-gen-232>", line 2, in write_dot
  File "/usr/lib/python2.7/dist-packages/networkx/utils/decorators.py", line 220, in _open_file
    result = func(*new_args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/networkx/drawing/nx_pydot.py", line 43, in write_dot
    P=to_pydot(G)
  File "/usr/lib/python2.7/dist-packages/networkx/drawing/nx_pydot.py", line 175, in to_pydot
    import pydotplus
ImportError: No module named pydotplus
>>> quit()
root@b1:~# python3
Python 3.6.7 (default, Oct 22 2018, 11:32:17)
[GCC 8.2.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import networkx
>>> from networkx.drawing.nx_pydot import write_dot
>>> write_dot(networkx.Graph(), "/tmp/null")
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "<decorator-gen-232>", line 2, in write_dot
  File "/usr/lib/python3/dist-packages/networkx/utils/decorators.py", line 220, in _open_file
    result = func(*new_args, **kwargs)
  File "/usr/lib/python3/dist-packages/networkx/drawing/nx_pydot.py", line 43, in write_dot
    P=to_pydot(G)
  File "/usr/lib/python3/dist-packages/networkx/drawing/nx_pydot.py", line 175, in to_pydot
    import pydotplus
ModuleNotFoundError: No module named 'pydotplus'
>>> quit()
root@b1:~# lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.1 LTS
Release: 18.04
Codename: bionic

[Regression Potential]
Very low as this will just be adding pydotplus to Suggested dependencies.

Changed in python-networkx (Ubuntu):
assignee: nobody → Corey Bryant (corey.bryant)
description: updated
description: updated
Changed in python-networkx (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
Changed in python-networkx (Ubuntu Bionic):
status: New → Triaged
importance: Undecided → Medium
Changed in python-networkx (Ubuntu Cosmic):
status: New → Invalid
Changed in python-networkx (Ubuntu Disco):
status: Triaged → Invalid
importance: Medium → Undecided
assignee: Corey Bryant (corey.bryant) → nobody
Changed in python-networkx (Ubuntu Bionic):
assignee: nobody → Corey Bryant (corey.bryant)

Hello Corey, or anyone else affected,

Accepted python-networkx into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-networkx/1.11-1ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in python-networkx (Ubuntu Bionic):
status: Triaged → Fix Committed
tags: added: verification-needed verification-needed-bionic
Corey Bryant (corey.bryant) wrote :

Verified successfully:

root@b1:~# sudo apt install --install-suggests python-networkx
...
root@b1:~# apt policy python-networkx
python-networkx:
  Installed: 1.11-1ubuntu3
  Candidate: 1.11-1ubuntu3
  Version table:
 *** 1.11-1ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu bionic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     1.11-1ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu bionic/main amd64 Packages
root@b1:~# apt policy python-pydotplus
python-pydotplus:
  Installed: 2.0.2-2
  Candidate: 2.0.2-2
  Version table:
 *** 2.0.2-2 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
        100 /var/lib/dpkg/status

root@b1:~# sudo apt install --install-suggests python3-networkx
...
root@b1:~# apt policy python3-networkx python3-pydotplus
python3-networkx:
  Installed: 1.11-1ubuntu3
  Candidate: 1.11-1ubuntu3
  Version table:
 *** 1.11-1ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu bionic-proposed/universe amd64 Packages
        100 /var/lib/dpkg/status
     1.11-1ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
python3-pydotplus:
  Installed: 2.0.2-2
  Candidate: 2.0.2-2
  Version table:
 *** 2.0.2-2 500
        500 http://archive.ubuntu.com/ubuntu bionic/universe amd64 Packages
        100 /var/lib/dpkg/status

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Brian Murray (brian-murray) wrote :

The test case has one using a python shell to test the import of networkx yet the verification comment does not do this. Please verify the bug following the test case.

Changed in python-networkx (Ubuntu Bionic):
status: Fix Committed → Incomplete
Corey Bryant (corey.bryant) wrote :

Testing for python3-networkx install as shown above was successful:

root@b1:~# python3
Python 3.6.7 (default, Oct 22 2018, 11:32:17)
[GCC 8.2.0] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import networkx
>>> from networkx.drawing.nx_pydot import write_dot
>>> write_dot(networkx.Graph(), "/tmp/null")
>>> quit()

And testing for python-networkx install as shown above was successful:

root@b1:~# python
Python 2.7.15rc1 (default, Nov 12 2018, 14:31:15)
[GCC 7.3.0] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import networkx
>>> from networkx.drawing.nx_pydot import write_dot
>>> write_dot(networkx.Graph(), "/tmp/null")
>>> quit()

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-networkx - 1.11-1ubuntu3

---------------
python-networkx (1.11-1ubuntu3) bionic; urgency=medium

  * d/control: Add python(3)-pydotplus to Build-Depends and Suggests
    (LP: #1815126).

 -- Corey Bryant <email address hidden> Wed, 06 Feb 2019 15:15:38 -0500

Changed in python-networkx (Ubuntu Bionic):
status: Incomplete → Fix Released

The verification of the Stable Release Update for python-networkx has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers